lv.pasts.eme.cert

## Class CertValidatorResult.OCSPResult

- java.lang.Object
- - lv.pasts.eme.cert.CertValidatorResult.OCSPResult

- Enclosing class:
    CertValidatorResult

      public static class CertValidatorResult.OCSPResult
      extends Object

  `OCSPResult` class represents the successful result of the certificate chain OCSP validation.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static long` | `OCSP_RESULT_LIFETIME` The lifetime period that an OCSP response must be, in milliseconds.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Map<BigInteger,X509Certificate>` | `getCertificateMap()` Returns map containing the checked certificates.
    `X509Certificate` | `getResponderCert()`
    `CertPath` | `getResponderCertPath()` Returns OCSP responder's certification path.
    `X509Certificate` | `getResponderTrustedCert()` Returns the certificate describing the CA that served as a trust anchor for the OCSP responder's certification path.
    `String` | `getResponderURL()` Returns the location of the OCSP responder.
    `byte[]` | `getResponse()` Returns the DER encoded form of the OCSP response.
    `Date` | `getResponseDate()` Returns the time when the OCSP response was generated.
    `boolean` | `isResponderCertIncludedInResponse()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### OCSP_RESULT_LIFETIME

          public static final long OCSP_RESULT_LIFETIME

      The lifetime period that an OCSP response must be, in milliseconds.
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getResponse

          public byte[] getResponse()

      Returns the DER encoded form of the OCSP response.
      Returns:
        the DER encoded form of the OCSP response.

    - #### getResponseDate

          public Date getResponseDate()

      Returns the time when the OCSP response was generated.
      Returns:
        the time when the OCSP response was generated.

    - #### getResponderURL

          public String getResponderURL()

      Returns the location of the OCSP responder.
      Returns:
        the location of the OCSP responder.

    - #### getResponderCertPath

          public CertPath getResponderCertPath()

      Returns OCSP responder's certification path.
      Returns:
        OCSP responder's certification path.

    - #### getResponderCert

          public X509Certificate getResponderCert()

    - #### getResponderTrustedCert

          public X509Certificate getResponderTrustedCert()

      Returns the certificate describing the CA that served as a trust anchor for the OCSP responder's certification path.
      Returns:
        the certificate describing the CA that served as a trust anchor for the OCSP responder's certification path.

    - #### getCertificateMap

          public Map<BigInteger,X509Certificate> getCertificateMap()

      Returns map containing the checked certificates. Each entry contains certificate's serial number as key and the issuer certificate as value
      Returns:
        map containing the checked certificates.

    - #### isResponderCertIncludedInResponse

          public boolean isResponderCertIncludedInResponse()

Copyright VAS Latvijas Valsts radio un televizijas centrs / Developed by SIA EUSO